Diskuzní fórum a databáze tipů a utilit pro AutoCAD, Inventor, Revit a další produkty Autodesk - od firmy Arkance Systems [www.cadforum.cz]
CZ | SK | EN | DE
Přihlášení
či registrace
   právě nás čte: 2729 
RSS kanál - CAD tipy RSS tipy
RSS diskuze

Diskuze Diskuzní fórum, poradna

 

NápovědaCAD diskuze, rady, výměna zkušeností

 
CAD Fórum - Homepage Veřejné diskuzní fórum k CAD aplikacím - ptejte se na libovolné otázky týkající se oboru CAx, podělte se o vaše znalosti a zkušenosti s programy AutoCAD, Inventor, Revit, Fusion 360, 3ds Max a s dalšími CAD aplikacemi. Zaregistrujte se nebo se přihlašte a zašlete váš příspěvek do odpovídajícího fóra. Viz další informace o CAD Fóru. Nechcete se registrovat? Zeptejte se v naší Facebook poradně.
Fórum nenahrazuje technický support firmy Arkance Systems (CAD Studio) - přímá podpora pro zákazníky funguje na helpdesk.cadstudio.cz
  FAQ FAQ  Prohledat fórum   Události   Registrovat Registrovat  Přihlásit Přihlásit

bloky v celom výkrese

 Odpovědět Odpovědět archiv
Autor
cvirikovec Zobrazit panel
Diskutér
Diskutér

Přihlášen: 28.zář.2010
Lokalita: Slovensko
Používám:
Autocad 2018
Stav: Offline
Bodů: 71
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace cvirikovec Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Téma: bloky v celom výkrese
    Zasláno: 30.čer.2021 v 14:02
Ahojte.
Existuje nejaký nastroj nato aby mi na zo všetkých entit vo výkrese urobil z každého samostatný blok?
Napríklad mám tam  10 hatchov, 4 polyline a tak mi vytvorí 14 blokov. 
Ďakujem 

Zpět nahoru
Vladimír Michl Zobrazit panel
Moderátor
Moderátor
Avatar
Arkance Systems

Přihlášen: 09.zář.2004
Lokalita: ČR (JČ)
Používám:
Dodáváme produkty Autodesk
Stav: Offline
Bodů: 20157
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace Vladimír Michl Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 30.čer.2021 v 14:05
Asi by šlo něco takového snadno udělat LISP makrem, ale bude to praktické? Např. z každé úsečky a bodu bude samostatný blok? S náhodným názvem?
Vladimír Michl (moderátor)
Arkance Systems s.r.o. - www.arkance-systems.cz
(podpora viz hd.cads.cz)
Zpět nahoru
johny Zobrazit panel
TOP uživatel
TOP uživatel

Přihlášen: 24.led.2006
Lokalita: ČR (JM)
Používám:
C3D 2020
Stav: Online
Bodů: 1611
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace johny Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 30.čer.2021 v 15:30
Kdysi jsem něco takového psal. 
Jak použít LISP http://www.lee-mac.com/runlisp.html


(defun c:Blockade (/ s o e n m x b)

  (if (setq s (ssget '((-4 . "<NOT") (0 . "VIEWPORT,RAY,XLINE,INSERT") (-4 . "NOT>"))))
    (repeat (setq i (sslength s))
      (setq e (ssname s (setq i (1- i)))
    n (cdr (assoc 0 (entget e))))
      (setq x 1000)
      (while (tblsearch "BLOCK" (setq m (strcat n "_" (itoa (setq x (1+ x)))))))
      (entmake (list '(0 . "BLOCK") '(10 0 0 0) (cons 2 m) '(70 . 0)))
      (entmake (entget e))
      (and (= 1 (cdr (assoc 66 (entget (setq b e)))))
   (while (not (= "SEQEND" (cdr (assoc 0 (entget (setq b (entnext b)))))))
     (entmake (entget b)))
   (entmake (entget b)))
      (entdel e)
      (entmake '((0 . "ENDBLK") (8 . "0")))
      (entmake (list '(0 . "INSERT") (cons 2 m) '(10 0 0 0)))))
  (princ)
  )
Zpět nahoru
cvirikovec Zobrazit panel
Diskutér
Diskutér

Přihlášen: 28.zář.2010
Lokalita: Slovensko
Používám:
Autocad 2018
Stav: Offline
Bodů: 71
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace cvirikovec Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 01.čvc.2021 v 18:49
Dakujem :)
Ako dôvod je že vlastne chcem zväčšiť všetky entity 2x (teda dám to do bloku a tak to zväčším

Zpět nahoru
Žufi Zobrazit panel
Zasloužilý člen
Zasloužilý člen

Přihlášen: 11.srp.2009
Lokalita: ČR (JM)
Používám:
Autocad2022 + Cadkon2022, Revit2019
Stav: Offline
Bodů: 136
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace Žufi Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 02.čvc.2021 v 06:47
A klasické MĚŘÍTKO (_SCALE) není použitelné?
Zpět nahoru
cvirikovec Zobrazit panel
Diskutér
Diskutér

Přihlášen: 28.zář.2010
Lokalita: Slovensko
Používám:
Autocad 2018
Stav: Offline
Bodů: 71
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace cvirikovec Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 02.čvc.2021 v 10:31
Práve že nie, lebo ja potrebujem aby mi to zväčšovalo presne od stredu danej entity, nie od 0,0 
Zpět nahoru
Vladimír Michl Zobrazit panel
Moderátor
Moderátor
Avatar
Arkance Systems

Přihlášen: 09.zář.2004
Lokalita: ČR (JČ)
Používám:
Dodáváme produkty Autodesk
Stav: Offline
Bodů: 20157
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace Vladimír Michl Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 02.čvc.2021 v 12:14
Vladimír Michl (moderátor)
Arkance Systems s.r.o. - www.arkance-systems.cz
(podpora viz hd.cads.cz)
Zpět nahoru

Pro technickou podporu CAD
kontaktujte Helpdesk

Příbuzné CAD tipy:
Tip 2943:Jak zvětšit nebo natočit několik bloků okolo jejich individuálních vkládacích bodů?
Tip 9329:VIPSnadné odstranění pozůstatků typů čar vnesených z DGN.
Tip 5411:VIPJak odlišit bloky stejného jména z různých DWG výkresů?
Tip 4884:VIPChybné měřítko (jednotky) vkládaných bloků v Civil3D.
Tip 4189:VIPVrácení posunutých atributů bloku na původní místo.
Tip 6814:Hlášení: Blok ABCD odkazuje sám sebe


 Odpovědět Odpovědět

Přejít na fórum Oprávnění fóra Zobrazit panel



Stránka byla vygenerována za 0,156 sekund.